
<script setup>
    import { onMounted,inject,ref } from 'vue'
    
    const axios = inject('axios')  // inject axios
    const rooms = ref(null);
    const selectedRoom = defineModel({ default: 0 })

  

    onMounted(() => {
        axios.get(`rooms/${localStorage.getItem("jwt")}`)
      .then(response => (rooms.value = response.data));  });

    function selectRoom(roomId){
        selectedRoom.value = roomId;
    }


</script>

<template>
    <ul class="flex flex-wrap text-sm font-medium text-center text-gray-500 ">
        <li class="me-2" v-for="room in rooms">
            <a  @click="selectRoom(room.id)" 
                :room-id="room.id" 
                :class="{'bg-blue-600': (room.id === selectedRoom), 
                            'active': (room.id === selectedRoom), 
                            'text-white':(room.id === selectedRoom),
                            'hover:text-gray-900':(room.id !== selectedRoom),
                            'hover:bg-gray-100':(room.id !== selectedRoom), }"
            class="inline-block px-4 py-3 rounded-lg ">{{ room.name }}</a>
        </li>
    </ul>
</template>

